<div class="layout" *ngIf="hasAccount">
  <div class="item" *ngFor="let post of posts$ | async">
    <form [formGroup]="form" (ngSubmit)="onPinPost(form, post.id)">
      <select class="boards" formControlName="board_id">
        <option *ngFor="let board of boards$ | async" [value]="board.id">{{ board.name }}</option>
        <option>
          <button [routerLink]="['/post/new']" class="button" *ngIf="hasAccount == true">+</button>
        </option>
      </select>
      <button class="save" type="submit">Save</button>
    </form>
    <img *ngIf="post.type !== 'video'" [src]="getUrl(post.image)" class="avatar" [routerLink]="['/post/', post.id]" />
    <div class="video-overlay" *ngIf="post.type === 'video'" [routerLink]="['/post/', post.id]">
      <video>
        <source [src]="getUrl(post.image)" />
      </video>
    </div>
    <button class="add" [routerLink]="['/boards']">Add</button>
  </div>
</div>

<div class="wallet" *ngIf="noAccount">
  <div class="row">
    <div class="col-md-12">
      <div class="accountCanvass">
        <div class="accountPanel">
          <img src="../../../assets/images/wallet_icon.png" alt="wallet" />
          <p>Do you have ProximaX Wallet?</p>
          <p class="modalFooter">*Setup your wallet first to continue</p>
          <div class="accountButton">
            <div class="create_button" (click)="createWallet()">
              <button class="login-btn button" type="submit">
                <i class="fa fa-plus"></i>
                Create Wallet
              </button>
            </div>
            <div class="link_button" (click)="linkWallet()">
              <button class="login-btn button" type="submit">
                <i class="fa fa-link"></i>
                Link Wallet
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
